package fsutils

var (
	/*
		linuxFsAttrsListOrder defines the order the attributes are printed in per e2fsprogs.

		See flags_name at https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git/tree/lib/e2p/pf.c for order.
		Up to date as of e2fsprogs v1.47.1, Linux 6.12-rc7.

		The below are the struct field names for easier reflection.
	*/
	linuxFsAttrsListOrder []string = []string{
		"SecureDelete",
		"UnDelete",
		"SyncUpdate",
		"DirSync",
		"Immutable",
		"AppendOnly",
		"NoDumpFile",
		"NoUpdateAtime",
		"CompressFile",
		"EncFile",
		"ReservedExt3",
		"HashIdxDir",
		"NoMergeTail",
		"DirTop",
		"Extents",
		"NoCOWFile",
		"DAX",
		"CaseInsensitive",
		"ReservedExt4c",
		"UseParentProjId",
		"VerityProtected",
		"NoCompress",
	}
)
